#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.3.2.0
visibility:           public
id:                   typst-0.3.2.0-EFWJWfPFYNvEpldRosJ4sn
key:                  typst-0.3.2.0-EFWJWfPFYNvEpldRosJ4sn
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.7
    and currently offers only partial support.

category:             Text
abi:                  b530bfce19674dcf603dc7f4f23ea4c4
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.0.2/site-local/typst-0.3.2.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/typst-0.3.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.3.2.0-EFWJWfPFYNvEpldRosJ4sn
depends:
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA array-0.5.4.0 base-4.15.1.0
    bytestring-0.10.12.1 cassava-0.5.3.0-5FEnuzkHVIK1sU5u5LU6w6
    containers-0.6.4.1 digits-0.3.1-E12zj2jIndBKkiR7Osyaxd
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    ordered-containers-0.2.3-1tstpx5kksg3nCXqs5HGNP parsec-3.1.14.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-5UNDvXl4NG5G4DpS8dC39P
    scientific-0.3.7.0-WH9SJ5zQMb5m3f0O1VdGX text-1.2.5.0 time-1.9.3
    toml-parser-1.3.0.0-DhAJqEnWKjA5t12FEyCJGj
    typst-symbols-0.1.4-2icseNI24Y1Ac1rOLOPLf
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ
    xml-conduit-1.9.1.3-1YyOTGMRDsTJqM9OAUHdEh
    yaml-0.11.11.2-78pCHtHpm9QLLXfvyVPgrM

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

